Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.pool
Class ResultSet

    java.lang.Object
      |
      +--weblogic.jdbc.pool.ResultSet

public final class ResultSet
extends java.lang.Object
implements java.sql.ResultSet, weblogic.jdbc.vendor.oracle.OracleResultSet

Author:
  Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ResultSet(java.sql.ResultSet aRs, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.Long aKey, Connection aConn, java.sql.Statement parent)`

Method Summary
`boolean` | `absolute(int row)`
`void` | `afterLast()`
`void` | `beforeFirst()`
`void` | `cancelRowUpdates()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `closeStatementOnClose()`
`void` | `deleteRow()`
`void` | `finalize()`
`int` | `findColumn(java.lang.String column)`
`boolean` | `first()`
`java.sql.Array` | `getArray(int i)`
`oracle.sql.ARRAY` | `getARRAY(int n)`
`java.sql.Array` | `getArray(java.lang.String colName)`
`oracle.sql.ARRAY` | `getARRAY(java.lang.String s)`
`java.io.InputStream` | `getAsciiStream(int column)`
`java.io.InputStream` | `getAsciiStream(java.lang.String column)`
`boolean` | `getAutoRefetch()`
`oracle.sql.BFILE` | `getBfile(int n)`
`oracle.sql.BFILE` | `getBFILE(int n)`
`oracle.sql.BFILE` | `getBfile(java.lang.String s)`
`oracle.sql.BFILE` | `getBFILE(java.lang.String s)`
`java.math.BigDecimal` | `getBigDecimal(int columnIndex)`
`java.math.BigDecimal` | `getBigDecimal(int column, int scale)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)`
`java.math.BigDecimal` | `getBigDecimal(java.lang.String column, int scale)`
`java.io.InputStream` | `getBinaryStream(int column)`
`java.io.InputStream` | `getBinaryStream(java.lang.String column)`
`java.sql.Blob` | `getBlob(int i)`
`oracle.sql.BLOB` | `getBLOB(int n)`
`java.sql.Blob` | `getBlob(java.lang.String colName)`
`oracle.sql.BLOB` | `getBLOB(java.lang.String s)`
`boolean` | `getBoolean(int column)`
`boolean` | `getBoolean(java.lang.String column)`
`byte` | `getByte(int column)`
`byte` | `getByte(java.lang.String column)`
`byte[]` | `getBytes(int column)`
`byte[]` | `getBytes(java.lang.String column)`
`oracle.sql.CHAR` | `getCHAR(int n)`
`oracle.sql.CHAR` | `getCHAR(java.lang.String s)`
`java.io.Reader` | `getCharacterStream(int columnIndex)`
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)`
`java.sql.Clob` | `getClob(int i)`
`oracle.sql.CLOB` | `getCLOB(int n)`
`java.sql.Clob` | `getClob(java.lang.String colName)`
`oracle.sql.CLOB` | `getCLOB(java.lang.String s)`
`int` | `getConcurrency()`
`java.sql.ResultSet` | `getCursor(int n)`
`java.lang.String` | `getCursorName()`
`oracle.sql.CustomDatum` | `getCustomDatum(int i, oracle.sql.CustomDatumFactory f)`
`oracle.sql.CustomDatum` | `getCustomDatum(java.lang.String s, oracle.sql.CustomDatumFactory f)`
`java.sql.Date` | `getDate(int column)`
`oracle.sql.DATE` | `getDATE(int n)`
`java.sql.Date` | `getDate(int columnIndex, java.util.Calendar cal)`
`java.sql.Date` | `getDate(java.lang.String column)`
`oracle.sql.DATE` | `getDATE(java.lang.String s)`
`java.sql.Date` | `getDate(java.lang.String columnName, java.util.Calendar cal)`
`double` | `getDouble(int column)`
`double` | `getDouble(java.lang.String column)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`int` | `getFirstUserColumnIndex()`
`float` | `getFloat(int column)`
`float` | `getFloat(java.lang.String column)`
`int` | `getInt(int column)`
`int` | `getInt(java.lang.String column)`
`long` | `getLong(int column)`
`long` | `getLong(java.lang.String column)`
`java.sql.ResultSetMetaData` | `getMetaData()`
`oracle.sql.NUMBER` | `getNUMBER(int n)`
`oracle.sql.NUMBER` | `getNUMBER(java.lang.String s)`
`java.lang.Object` | `getObject(int column)`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.lang.Object` | `getObject(java.lang.String column)`
`java.lang.Object` | `getObject(java.lang.String colName, java.util.Map map)`
`oracle.sql.Datum` | `getOracleObject(int n)`
`oracle.sql.Datum` | `getOracleObject(java.lang.String s)`
`oracle.sql.RAW` | `getRAW(int n)`
`oracle.sql.RAW` | `getRAW(java.lang.String s)`
`java.sql.Ref` | `getRef(int i)`
`oracle.sql.REF` | `getREF(int n)`
`java.sql.Ref` | `getRef(java.lang.String colName)`
`oracle.sql.REF` | `getREF(java.lang.String s)`
`int` | `getRow()`
`oracle.sql.ROWID` | `getROWID(int n)`
`oracle.sql.ROWID` | `getROWID(java.lang.String s)`
`short` | `getShort(int column)`
`short` | `getShort(java.lang.String column)`
`java.sql.Statement` | `getStatement()`
`java.lang.String` | `getString(int column)`
`java.lang.String` | `getString(java.lang.String column)`
`oracle.sql.STRUCT` | `getSTRUCT(int n)`
`oracle.sql.STRUCT` | `getSTRUCT(java.lang.String s)`
`java.sql.Time` | `getTime(int column)`
`java.sql.Time` | `getTime(int columnIndex, java.util.Calendar cal)`
`java.sql.Time` | `getTime(java.lang.String column)`
`java.sql.Time` | `getTime(java.lang.String columnName, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int column)`
`java.sql.Timestamp` | `getTimestamp(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String column)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName, java.util.Calendar cal)`
`int` | `getType()`
`java.io.InputStream` | `getUnicodeStream(int column)`
`java.io.InputStream` | `getUnicodeStream(java.lang.String column)`
`java.net.URL` | `getURL(int a)`
`java.net.URL` | `getURL(java.lang.String a)`
`java.sql.SQLWarning` | `getWarnings()`
`void` | `insertRow()`
`boolean` | `isAfterLast()`
`boolean` | `isBeforeFirst()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `last()`
`void` | `moveToCurrentRow()`
`void` | `moveToInsertRow()`
`boolean` | `next()`
`boolean` | `previous()`
`void` | `refreshRow()`
`boolean` | `relative(int rows)`
`boolean` | `rowDeleted()`
`boolean` | `rowInserted()`
`boolean` | `rowUpdated()`
`void` | `setAutoRefetch(boolean b)`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `updateArray(int n, java.sql.Array o)`
`void` | `updateARRAY(int n, oracle.sql.ARRAY o)`
`void` | `updateArray(java.lang.String s, java.sql.Array o)`
`void` | `updateARRAY(java.lang.String s, oracle.sql.ARRAY o)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)`
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBfile(int n, oracle.sql.BFILE o)`
`void` | `updateBFILE(int n, oracle.sql.BFILE o)`
`void` | `updateBfile(java.lang.String s, oracle.sql.BFILE o)`
`void` | `updateBFILE(java.lang.String s, oracle.sql.BFILE o)`
`void` | `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)`
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)`
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)`
`void` | `updateBlob(int n, java.sql.Blob o)`
`void` | `updateBLOB(int n, oracle.sql.BLOB o)`
`void` | `updateBlob(java.lang.String s, java.sql.Blob o)`
`void` | `updateBLOB(java.lang.String s, oracle.sql.BLOB o)`
`void` | `updateBoolean(int columnIndex, boolean x)`
`void` | `updateBoolean(java.lang.String columnName, boolean x)`
`void` | `updateByte(int columnIndex, byte x)`
`void` | `updateByte(java.lang.String columnName, byte x)`
`void` | `updateBytes(int columnIndex, byte[] x)`
`void` | `updateBytes(java.lang.String columnName, byte[] x)`
`void` | `updateCHAR(int n, oracle.sql.CHAR o)`
`void` | `updateCHAR(java.lang.String s, oracle.sql.CHAR o)`
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x, int length)`
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader reader, int length)`
`void` | `updateClob(int n, java.sql.Clob o)`
`void` | `updateCLOB(int n, oracle.sql.CLOB o)`
`void` | `updateClob(java.lang.String s, java.sql.Clob o)`
`void` | `updateCLOB(java.lang.String s, oracle.sql.CLOB o)`
`void` | `updateCustomDatum(int n, oracle.sql.CustomDatum o)`
`void` | `updateCustomDatum(java.lang.String s, oracle.sql.CustomDatum o)`
`void` | `updateDate(int columnIndex, java.sql.Date x)`
`void` | `updateDATE(int n, oracle.sql.DATE o)`
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)`
`void` | `updateDATE(java.lang.String s, oracle.sql.DATE o)`
`void` | `updateDouble(int columnIndex, double x)`
`void` | `updateDouble(java.lang.String columnName, double x)`
`void` | `updateFloat(int columnIndex, float x)`
`void` | `updateFloat(java.lang.String columnName, float x)`
`void` | `updateInt(int columnIndex, int x)`
`void` | `updateInt(java.lang.String columnName, int x)`
`void` | `updateLong(int columnIndex, long x)`
`void` | `updateLong(java.lang.String columnName, long x)`
`void` | `updateNull(int columnIndex)`
`void` | `updateNull(java.lang.String columnName)`
`void` | `updateNUMBER(int n, oracle.sql.NUMBER o)`
`void` | `updateNUMBER(java.lang.String s, oracle.sql.NUMBER o)`
`void` | `updateObject(int columnIndex, java.lang.Object x)`
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)`
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)`
`void` | `updateOracleObject(int n, oracle.sql.Datum o)`
`void` | `updateOracleObject(java.lang.String s, oracle.sql.Datum o)`
`void` | `updateRAW(int n, oracle.sql.RAW o)`
`void` | `updateRAW(java.lang.String s, oracle.sql.RAW o)`
`void` | `updateRef(int n, java.sql.Ref o)`
`void` | `updateREF(int n, oracle.sql.REF o)`
`void` | `updateRef(java.lang.String s, java.sql.Ref o)`
`void` | `updateREF(java.lang.String s, oracle.sql.REF o)`
`void` | `updateRow()`
`void` | `updateROWID(int n, oracle.sql.ROWID o)`
`void` | `updateROWID(java.lang.String s, oracle.sql.ROWID o)`
`void` | `updateShort(int columnIndex, short x)`
`void` | `updateShort(java.lang.String columnName, short x)`
`void` | `updateString(int columnIndex, java.lang.String x)`
`void` | `updateString(java.lang.String columnName, java.lang.String x)`
`void` | `updateSTRUCT(int n, oracle.sql.STRUCT o)`
`void` | `updateSTRUCT(java.lang.String s, oracle.sql.STRUCT o)`
`void` | `updateTime(int columnIndex, java.sql.Time x)`
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)`
`void` | `updateTimestamp(int columnIndex, java.sql.Timestamp x)`
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSet

    public ResultSet(java.sql.ResultSet aRs,
                     weblogic.jdbc.common.internal.ConnectionEnv aCc,
                     java.lang.Long aKey,
                     Connection aConn,
                     java.sql.Statement parent)
              throws java.sql.SQLException

Method Detail

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### findColumn

    public int findColumn(java.lang.String column)
                   throws java.sql.SQLException

  Specified by:
    findColumn in interface java.sql.ResultSet

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Specified by:
    wasNull in interface java.sql.ResultSet

### getString

    public java.lang.String getString(int column)
                               throws java.sql.SQLException

  Specified by:
    getString in interface java.sql.ResultSet

### getBoolean

    public boolean getBoolean(int column)
                       throws java.sql.SQLException

  Specified by:
    getBoolean in interface java.sql.ResultSet

### getByte

    public byte getByte(int column)
                 throws java.sql.SQLException

  Specified by:
    getByte in interface java.sql.ResultSet

### getShort

    public short getShort(int column)
                   throws java.sql.SQLException

  Specified by:
    getShort in interface java.sql.ResultSet

### getInt

    public int getInt(int column)
               throws java.sql.SQLException

  Specified by:
    getInt in interface java.sql.ResultSet

### getLong

    public long getLong(int column)
                 throws java.sql.SQLException

  Specified by:
    getLong in interface java.sql.ResultSet

### getFloat

    public float getFloat(int column)
                   throws java.sql.SQLException

  Specified by:
    getFloat in interface java.sql.ResultSet

### getDouble

    public double getDouble(int column)
                     throws java.sql.SQLException

  Specified by:
    getDouble in interface java.sql.ResultSet

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int column,
                                              int scale)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.ResultSet

### getBytes

    public byte[] getBytes(int column)
                    throws java.sql.SQLException

  Specified by:
    getBytes in interface java.sql.ResultSet

### getDate

    public java.sql.Date getDate(int column)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.ResultSet

### getTime

    public java.sql.Time getTime(int column)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.ResultSet

### getTimestamp

    public java.sql.Timestamp getTimestamp(int column)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.ResultSet

### getObject

    public java.lang.Object getObject(int column)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.ResultSet

### next

    public boolean next()
                 throws java.sql.SQLException

  Specified by:
    next in interface java.sql.ResultSet

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.ResultSet

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String column)
                                       throws java.sql.SQLException

  Specified by:
    getAsciiStream in interface java.sql.ResultSet

### getAsciiStream

    public java.io.InputStream getAsciiStream(int column)
                                       throws java.sql.SQLException

  Specified by:
    getAsciiStream in interface java.sql.ResultSet

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String column)
                                         throws java.sql.SQLException

  Specified by:
    getUnicodeStream in interface java.sql.ResultSet

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int column)
                                         throws java.sql.SQLException

  Specified by:
    getUnicodeStream in interface java.sql.ResultSet

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String column)
                                        throws java.sql.SQLException

  Specified by:
    getBinaryStream in interface java.sql.ResultSet

### getBinaryStream

    public java.io.InputStream getBinaryStream(int column)
                                        throws java.sql.SQLException

  Specified by:
    getBinaryStream in interface java.sql.ResultSet

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  Specified by:
    getCursorName in interface java.sql.ResultSet

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.ResultSet

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.ResultSet

### getString

    public java.lang.String getString(java.lang.String column)
                               throws java.sql.SQLException

  Specified by:
    getString in interface java.sql.ResultSet

### getBoolean

    public boolean getBoolean(java.lang.String column)
                       throws java.sql.SQLException

  Specified by:
    getBoolean in interface java.sql.ResultSet

### getByte

    public byte getByte(java.lang.String column)
                 throws java.sql.SQLException

  Specified by:
    getByte in interface java.sql.ResultSet

### getShort

    public short getShort(java.lang.String column)
                   throws java.sql.SQLException

  Specified by:
    getShort in interface java.sql.ResultSet

### getInt

    public int getInt(java.lang.String column)
               throws java.sql.SQLException

  Specified by:
    getInt in interface java.sql.ResultSet

### getLong

    public long getLong(java.lang.String column)
                 throws java.sql.SQLException

  Specified by:
    getLong in interface java.sql.ResultSet

### getFloat

    public float getFloat(java.lang.String column)
                   throws java.sql.SQLException

  Specified by:
    getFloat in interface java.sql.ResultSet

### getDouble

    public double getDouble(java.lang.String column)
                     throws java.sql.SQLException

  Specified by:
    getDouble in interface java.sql.ResultSet

### getBytes

    public byte[] getBytes(java.lang.String column)
                    throws java.sql.SQLException

  Specified by:
    getBytes in interface java.sql.ResultSet

### getTime

    public java.sql.Time getTime(java.lang.String column)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.ResultSet

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String column)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.ResultSet

### getObject

    public java.lang.Object getObject(java.lang.String column)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.ResultSet

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String column,
                                              int scale)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.ResultSet

### getDate

    public java.sql.Date getDate(java.lang.String column)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.ResultSet

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.ResultSet

  Returns:
    java.sql.ResultSetMetaData
  Throws:
    java.sql.SQLException - if there is an error

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  Specified by:
    getCharacterStream in interface java.sql.ResultSet

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  Specified by:
    getCharacterStream in interface java.sql.ResultSet

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.ResultSet

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.ResultSet

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Specified by:
    isBeforeFirst in interface java.sql.ResultSet

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Specified by:
    isAfterLast in interface java.sql.ResultSet

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Specified by:
    isFirst in interface java.sql.ResultSet

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Specified by:
    isLast in interface java.sql.ResultSet

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Specified by:
    beforeFirst in interface java.sql.ResultSet

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Specified by:
    afterLast in interface java.sql.ResultSet

### first

    public boolean first()
                  throws java.sql.SQLException

  Specified by:
    first in interface java.sql.ResultSet

### last

    public boolean last()
                 throws java.sql.SQLException

  Specified by:
    last in interface java.sql.ResultSet

### getRow

    public int getRow()
               throws java.sql.SQLException

  Specified by:
    getRow in interface java.sql.ResultSet

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  Specified by:
    absolute in interface java.sql.ResultSet

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  Specified by:
    relative in interface java.sql.ResultSet

### previous

    public boolean previous()
                     throws java.sql.SQLException

  Specified by:
    previous in interface java.sql.ResultSet

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.ResultSet

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.ResultSet

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.ResultSet

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.ResultSet

### getType

    public int getType()
                throws java.sql.SQLException

  Specified by:
    getType in interface java.sql.ResultSet

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Specified by:
    getConcurrency in interface java.sql.ResultSet

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Specified by:
    rowUpdated in interface java.sql.ResultSet

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Specified by:
    rowInserted in interface java.sql.ResultSet

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Specified by:
    rowDeleted in interface java.sql.ResultSet

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  Specified by:
    updateNull in interface java.sql.ResultSet

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    updateBoolean in interface java.sql.ResultSet

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    updateByte in interface java.sql.ResultSet

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    updateShort in interface java.sql.ResultSet

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    updateInt in interface java.sql.ResultSet

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    updateLong in interface java.sql.ResultSet

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    updateFloat in interface java.sql.ResultSet

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    updateDouble in interface java.sql.ResultSet

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    updateBigDecimal in interface java.sql.ResultSet

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    updateString in interface java.sql.ResultSet

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    updateBytes in interface java.sql.ResultSet

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    updateDate in interface java.sql.ResultSet

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    updateTime in interface java.sql.ResultSet

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    updateTimestamp in interface java.sql.ResultSet

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    updateAsciiStream in interface java.sql.ResultSet

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    updateBinaryStream in interface java.sql.ResultSet

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    updateCharacterStream in interface java.sql.ResultSet

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    updateNull in interface java.sql.ResultSet

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  Specified by:
    updateBoolean in interface java.sql.ResultSet

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  Specified by:
    updateByte in interface java.sql.ResultSet

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  Specified by:
    updateShort in interface java.sql.ResultSet

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  Specified by:
    updateInt in interface java.sql.ResultSet

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  Specified by:
    updateLong in interface java.sql.ResultSet

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  Specified by:
    updateFloat in interface java.sql.ResultSet

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  Specified by:
    updateDouble in interface java.sql.ResultSet

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Specified by:
    updateBigDecimal in interface java.sql.ResultSet

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    updateString in interface java.sql.ResultSet

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  Specified by:
    updateBytes in interface java.sql.ResultSet

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Specified by:
    updateDate in interface java.sql.ResultSet

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Specified by:
    updateTime in interface java.sql.ResultSet

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Specified by:
    updateTimestamp in interface java.sql.ResultSet

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Specified by:
    updateAsciiStream in interface java.sql.ResultSet

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    updateBinaryStream in interface java.sql.ResultSet

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

  Specified by:
    updateCharacterStream in interface java.sql.ResultSet

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Specified by:
    updateObject in interface java.sql.ResultSet

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  Specified by:
    insertRow in interface java.sql.ResultSet

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  Specified by:
    updateRow in interface java.sql.ResultSet

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  Specified by:
    deleteRow in interface java.sql.ResultSet

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  Specified by:
    refreshRow in interface java.sql.ResultSet

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  Specified by:
    cancelRowUpdates in interface java.sql.ResultSet

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  Specified by:
    moveToInsertRow in interface java.sql.ResultSet

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  Specified by:
    moveToCurrentRow in interface java.sql.ResultSet

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  Specified by:
    getStatement in interface java.sql.ResultSet

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.ResultSet

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.ResultSet

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.ResultSet

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.ResultSet

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.ResultSet

### getObject

    public java.lang.Object getObject(java.lang.String colName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.ResultSet

### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.ResultSet

### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.ResultSet

### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.ResultSet

### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.ResultSet

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.ResultSet

### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.ResultSet

### getTime

    public java.sql.Time getTime(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.ResultSet

### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.ResultSet

### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.ResultSet

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.ResultSet

### getAutoRefetch

    public boolean getAutoRefetch()
                           throws java.sql.SQLException

  Specified by:
    getAutoRefetch in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getFirstUserColumnIndex

    public int getFirstUserColumnIndex()
                                throws java.sql.SQLException

  Specified by:
    getFirstUserColumnIndex in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### closeStatementOnClose

    public void closeStatementOnClose()
                               throws java.sql.SQLException

  Specified by:
    closeStatementOnClose in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### setAutoRefetch

    public void setAutoRefetch(boolean b)
                        throws java.sql.SQLException

  Specified by:
    setAutoRefetch in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCursor

    public java.sql.ResultSet getCursor(int n)
                                 throws java.sql.SQLException

  Specified by:
    getCursor in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getARRAY

    public oracle.sql.ARRAY getARRAY(int n)
                              throws java.sql.SQLException

  Specified by:
    getARRAY in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getARRAY

    public oracle.sql.ARRAY getARRAY(java.lang.String s)
                              throws java.sql.SQLException

  Specified by:
    getARRAY in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getBfile

    public oracle.sql.BFILE getBfile(int n)
                              throws java.sql.SQLException

  Specified by:
    getBfile in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getBFILE

    public oracle.sql.BFILE getBFILE(int n)
                              throws java.sql.SQLException

  Specified by:
    getBFILE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getBfile

    public oracle.sql.BFILE getBfile(java.lang.String s)
                              throws java.sql.SQLException

  Specified by:
    getBfile in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getBFILE

    public oracle.sql.BFILE getBFILE(java.lang.String s)
                              throws java.sql.SQLException

  Specified by:
    getBFILE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getBLOB

    public oracle.sql.BLOB getBLOB(int n)
                            throws java.sql.SQLException

  Specified by:
    getBLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getBLOB

    public oracle.sql.BLOB getBLOB(java.lang.String s)
                            throws java.sql.SQLException

  Specified by:
    getBLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCHAR

    public oracle.sql.CHAR getCHAR(int n)
                            throws java.sql.SQLException

  Specified by:
    getCHAR in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCHAR

    public oracle.sql.CHAR getCHAR(java.lang.String s)
                            throws java.sql.SQLException

  Specified by:
    getCHAR in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCLOB

    public oracle.sql.CLOB getCLOB(int n)
                            throws java.sql.SQLException

  Specified by:
    getCLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCLOB

    public oracle.sql.CLOB getCLOB(java.lang.String s)
                            throws java.sql.SQLException

  Specified by:
    getCLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCustomDatum

    public oracle.sql.CustomDatum getCustomDatum(int i,
                                                 oracle.sql.CustomDatumFactory f)
                                          throws java.sql.SQLException

  Specified by:
    getCustomDatum in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getCustomDatum

    public oracle.sql.CustomDatum getCustomDatum(java.lang.String s,
                                                 oracle.sql.CustomDatumFactory f)
                                          throws java.sql.SQLException

  Specified by:
    getCustomDatum in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getDATE

    public oracle.sql.DATE getDATE(int n)
                            throws java.sql.SQLException

  Specified by:
    getDATE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getDATE

    public oracle.sql.DATE getDATE(java.lang.String s)
                            throws java.sql.SQLException

  Specified by:
    getDATE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getOracleObject

    public oracle.sql.Datum getOracleObject(int n)
                                     throws java.sql.SQLException

  Specified by:
    getOracleObject in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getOracleObject

    public oracle.sql.Datum getOracleObject(java.lang.String s)
                                     throws java.sql.SQLException

  Specified by:
    getOracleObject in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getNUMBER

    public oracle.sql.NUMBER getNUMBER(int n)
                                throws java.sql.SQLException

  Specified by:
    getNUMBER in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getNUMBER

    public oracle.sql.NUMBER getNUMBER(java.lang.String s)
                                throws java.sql.SQLException

  Specified by:
    getNUMBER in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getRAW

    public oracle.sql.RAW getRAW(int n)
                          throws java.sql.SQLException

  Specified by:
    getRAW in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getRAW

    public oracle.sql.RAW getRAW(java.lang.String s)
                          throws java.sql.SQLException

  Specified by:
    getRAW in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getREF

    public oracle.sql.REF getREF(int n)
                          throws java.sql.SQLException

  Specified by:
    getREF in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getREF

    public oracle.sql.REF getREF(java.lang.String s)
                          throws java.sql.SQLException

  Specified by:
    getREF in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getROWID

    public oracle.sql.ROWID getROWID(int n)
                              throws java.sql.SQLException

  Specified by:
    getROWID in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getROWID

    public oracle.sql.ROWID getROWID(java.lang.String s)
                              throws java.sql.SQLException

  Specified by:
    getROWID in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getSTRUCT

    public oracle.sql.STRUCT getSTRUCT(int n)
                                throws java.sql.SQLException

  Specified by:
    getSTRUCT in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getSTRUCT

    public oracle.sql.STRUCT getSTRUCT(java.lang.String s)
                                throws java.sql.SQLException

  Specified by:
    getSTRUCT in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateArray

    public void updateArray(int n,
                            java.sql.Array o)
                     throws java.sql.SQLException

  Specified by:
    updateArray in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateARRAY

    public void updateARRAY(int n,
                            oracle.sql.ARRAY o)
                     throws java.sql.SQLException

  Specified by:
    updateARRAY in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateArray

    public void updateArray(java.lang.String s,
                            java.sql.Array o)
                     throws java.sql.SQLException

  Specified by:
    updateArray in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateARRAY

    public void updateARRAY(java.lang.String s,
                            oracle.sql.ARRAY o)
                     throws java.sql.SQLException

  Specified by:
    updateARRAY in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBfile

    public void updateBfile(int n,
                            oracle.sql.BFILE o)
                     throws java.sql.SQLException

  Specified by:
    updateBfile in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBFILE

    public void updateBFILE(int n,
                            oracle.sql.BFILE o)
                     throws java.sql.SQLException

  Specified by:
    updateBFILE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBfile

    public void updateBfile(java.lang.String s,
                            oracle.sql.BFILE o)
                     throws java.sql.SQLException

  Specified by:
    updateBfile in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBFILE

    public void updateBFILE(java.lang.String s,
                            oracle.sql.BFILE o)
                     throws java.sql.SQLException

  Specified by:
    updateBFILE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBlob

    public void updateBlob(int n,
                           java.sql.Blob o)
                    throws java.sql.SQLException

  Specified by:
    updateBlob in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBLOB

    public void updateBLOB(int n,
                           oracle.sql.BLOB o)
                    throws java.sql.SQLException

  Specified by:
    updateBLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBlob

    public void updateBlob(java.lang.String s,
                           java.sql.Blob o)
                    throws java.sql.SQLException

  Specified by:
    updateBlob in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateBLOB

    public void updateBLOB(java.lang.String s,
                           oracle.sql.BLOB o)
                    throws java.sql.SQLException

  Specified by:
    updateBLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateCHAR

    public void updateCHAR(int n,
                           oracle.sql.CHAR o)
                    throws java.sql.SQLException

  Specified by:
    updateCHAR in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateCHAR

    public void updateCHAR(java.lang.String s,
                           oracle.sql.CHAR o)
                    throws java.sql.SQLException

  Specified by:
    updateCHAR in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateClob

    public void updateClob(int n,
                           java.sql.Clob o)
                    throws java.sql.SQLException

  Specified by:
    updateClob in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateCLOB

    public void updateCLOB(int n,
                           oracle.sql.CLOB o)
                    throws java.sql.SQLException

  Specified by:
    updateCLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateClob

    public void updateClob(java.lang.String s,
                           java.sql.Clob o)
                    throws java.sql.SQLException

  Specified by:
    updateClob in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateCLOB

    public void updateCLOB(java.lang.String s,
                           oracle.sql.CLOB o)
                    throws java.sql.SQLException

  Specified by:
    updateCLOB in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateCustomDatum

    public void updateCustomDatum(int n,
                                  oracle.sql.CustomDatum o)
                           throws java.sql.SQLException

  Specified by:
    updateCustomDatum in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateCustomDatum

    public void updateCustomDatum(java.lang.String s,
                                  oracle.sql.CustomDatum o)
                           throws java.sql.SQLException

  Specified by:
    updateCustomDatum in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateDATE

    public void updateDATE(int n,
                           oracle.sql.DATE o)
                    throws java.sql.SQLException

  Specified by:
    updateDATE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateDATE

    public void updateDATE(java.lang.String s,
                           oracle.sql.DATE o)
                    throws java.sql.SQLException

  Specified by:
    updateDATE in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateNUMBER

    public void updateNUMBER(int n,
                             oracle.sql.NUMBER o)
                      throws java.sql.SQLException

  Specified by:
    updateNUMBER in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateNUMBER

    public void updateNUMBER(java.lang.String s,
                             oracle.sql.NUMBER o)
                      throws java.sql.SQLException

  Specified by:
    updateNUMBER in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateOracleObject

    public void updateOracleObject(int n,
                                   oracle.sql.Datum o)
                            throws java.sql.SQLException

  Specified by:
    updateOracleObject in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateOracleObject

    public void updateOracleObject(java.lang.String s,
                                   oracle.sql.Datum o)
                            throws java.sql.SQLException

  Specified by:
    updateOracleObject in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateRAW

    public void updateRAW(int n,
                          oracle.sql.RAW o)
                   throws java.sql.SQLException

  Specified by:
    updateRAW in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateRAW

    public void updateRAW(java.lang.String s,
                          oracle.sql.RAW o)
                   throws java.sql.SQLException

  Specified by:
    updateRAW in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateRef

    public void updateRef(int n,
                          java.sql.Ref o)
                   throws java.sql.SQLException

  Specified by:
    updateRef in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateREF

    public void updateREF(int n,
                          oracle.sql.REF o)
                   throws java.sql.SQLException

  Specified by:
    updateREF in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateRef

    public void updateRef(java.lang.String s,
                          java.sql.Ref o)
                   throws java.sql.SQLException

  Specified by:
    updateRef in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateREF

    public void updateREF(java.lang.String s,
                          oracle.sql.REF o)
                   throws java.sql.SQLException

  Specified by:
    updateREF in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateROWID

    public void updateROWID(int n,
                            oracle.sql.ROWID o)
                     throws java.sql.SQLException

  Specified by:
    updateROWID in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateROWID

    public void updateROWID(java.lang.String s,
                            oracle.sql.ROWID o)
                     throws java.sql.SQLException

  Specified by:
    updateROWID in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateSTRUCT

    public void updateSTRUCT(int n,
                             oracle.sql.STRUCT o)
                      throws java.sql.SQLException

  Specified by:
    updateSTRUCT in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### updateSTRUCT

    public void updateSTRUCT(java.lang.String s,
                             oracle.sql.STRUCT o)
                      throws java.sql.SQLException

  Specified by:
    updateSTRUCT in interface weblogic.jdbc.vendor.oracle.OracleResultSet

### getURL

    public java.net.URL getURL(int a)
                        throws java.sql.SQLException

### getURL

    public java.net.URL getURL(java.lang.String a)
                        throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference